description

# Dimension class Null safety

Class representing a length measurement in CSS.

## Constructors

Dimension.cm(num _value)
  Set this CSS Dimension to a centimeter `value`.
Dimension.css(String cssValue)
  Construct a Dimension object from the valid, simple CSS string `cssValue` that represents a distance measurement. [...]
Dimension.em(num _value)
  Set this CSS Dimension to the specified number of ems. [...]
Dimension.ex(num _value)
  Set this CSS Dimension to the specified number of x-heights. [...]
Dimension.inch(num _value)
  Set this CSS Dimension to an inch `value`.
Dimension.mm(num _value)
  Set this CSS Dimension to a millimeter `value`.
Dimension.pc(num _value)
  Set this CSS Dimension to a pica `value`.
Dimension.percent(num _value)
  Set this CSS Dimension to a percentage `value`.
Dimension.pt(num _value)
  Set this CSS Dimension to a point `value`.
Dimension.px(num _value)
  Set this CSS Dimension to a pixel `value`.

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
value → num
  Return a unitless, numerical value of this CSS value.
  read-only

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Print out the CSS String representation of this value.
  override

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited